Bug 1284919 - (CVE-2015-8339, CVE-2015-8340, xsa159) CVE-2015-8339 CVE-2015-8340 xen: XENMEM_exchange error handling may cause DoS to host
CVE-2015-8339 CVE-2015-8340 xen: XENMEM_exchange error handling may cause DoS...
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20151208,repor...
: Security
Depends On: 1289568
Blocks: 1284949
  Show dependency treegraph
 
Reported: 2015-11-24 08:17 EST by Adam Mariš
Modified: 2017-10-19 09:02 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A malicious guest administrator may be able to deny service by crashing the host or causing a deadlock by timing memory handling events between the guest and the host.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-19 04:50:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xen-unstable, Xen 4.6.x, Xen 4.5.x, Xen 4.4.x, Xen 4.3.x (1.58 KB, patch)
2015-11-24 08:30 EST, Adam Mariš
no flags Details | Diff

  None (edit)
Description Adam Mariš 2015-11-24 08:17:53 EST
CVE-2015-8339:
Error handling in the operation may involve handing back pages to the domain. This operation may fail when in parallel the domain gets torn down. So far this failure unconditionally resulted in the host being brought down due to an internal error being assumed.

CVE-2015-8340:
Furthermore error handling so far wrongly included the release of a lock. That lock, however, was either not acquired or already released on all paths leading to the error handling sequence.

A malicious guest administrator may be able to deny service by crashing the host or causing a deadlock.

All Xen versions from at least 3.2 onwards are vulnerable. Older versions have not been inspected.

The vulnerability can be avoided if the guest kernel is controlled by the host rather than guest administrator, provided that further steps are taken to prevent the guest administrator from loading code into the kernel (e.g. by disabling loadable modules etc) or from using other mechanisms which allow them to run code at kernel privilege. In Xen HVM, controlling the guest's kernel would involve locking down the bootloader.
Comment 1 Adam Mariš 2015-11-24 08:30 EST
Created attachment 1098198 [details]
xen-unstable, Xen 4.6.x, Xen 4.5.x, Xen 4.4.x, Xen 4.3.x
Comment 2 Adam Mariš 2015-11-26 04:03:10 EST
Acknowledgments:

Red Hat would like to thank the Xen project for reporting this issue. Upstream acknowledges Julien Grall of Citrix and Jan Beulich of SUSE as the original reporters.
Comment 3 Martin Prpič 2015-12-08 07:28:46 EST
External References:

http://xenbits.xen.org/xsa/advisory-159.html
Comment 4 Martin Prpič 2015-12-08 07:42:33 EST
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1289568]
Comment 5 Fedora Update System 2015-12-17 02:26:51 EST
xen-4.5.2-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2015-12-19 19:23:03 EST
xen-4.5.2-5.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Wade Mealing 2017-10-19 04:29:12 EDT
Statement:
Comment 8 Wade Mealing 2017-10-19 04:29:24 EDT
Statement:

This issue does not affect the Linux kernel packages as shipped with Red Hat
Enterprise Linux 6, 7, MRG-2 and realtime kernels.

At this time, there is no plans to fix this issue, if you feel that this issue
is affecting your deployment and have an EUS subscription, please contact
support to have this issue correctly prioritized
Comment 11 Wade Mealing 2017-10-19 04:37:49 EDT
Mitigation:

The vulnerability can be avoided if the guest kernel is controlled by the host rather than guest administrator, provided that further steps are taken to prevent the guest administrator from loading code into the kernel (e.g. by disabling loadable modules etc) or from using other mechanisms which allow them to run code at kernel privilege. In Xen HVM, controlling the guest's kernel would involve locking down the bootloader.

Note You need to log in before you can comment on or make changes to this bug.